Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::browser::event Struct Reference

List of all members.

## Detailed Description

An event.

An event has a value and a destination, and is associated with a time.

## Public Attributes

double | timestamp
| The timestamp of the event.
field_value * | value
| The value associated with the event.
node_ptr | to_node
| The node the event is going to.
std::string | to_eventin
| The eventIn of to_node the event is going to.

## Member Data Documentation

double openvrml::browser::event::timestamp

| The timestamp of the event.

field_value * openvrml::browser::event::value

| The value associated with the event.

node_ptr openvrml::browser::event::to_node

| The node the event is going to.

std::string openvrml::browser::event::to_eventin

| The eventIn of to_node the event is going to.